Method: projects.locations.skills.revisions.delete

Deletes a specific revision (restricted to admins to purge accidentally committed secrets).

HTTP request

DELETE https://agentregistry.googleapis.com/v1alpha/{name=projects/*/locations/*/skills/*/revisions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Target revision name to remove.

Query parameters

Parameters
requestId

string

Optional. Signed UUID request idempotency token.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • agentregistry.skillRevisions.delete

For more information, see the IAM documentation.